com.r3corda.node.services.monitor / ClientToServiceCommand / IssueCash / <init>

# <init>

`IssueCash(currency: Currency, issueRef: OpaqueBytes, pennies: Long, recipient: PublicKey, notary: Party, id: UUID = UUID.randomUUID())`

Issue cash state objects.

### Parameters

`currency` - the currency to issue.
`issueRef` - the reference to specify on the issuance, used to differentiate pools of cash. Convention is to use the single byte "0x01" as a default.
`pennies` - the amount to issue, in the smallest unit of the currency.
`recipient` - the public key of the recipient.
`notary` - the notary to use for this transaction.
`id` - the ID to be provided in events resulting from this request.